TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

SUnitGroup ( elt-ids^fra/ord^num I ) -> grp^abl, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2
Raw | elt-alg^boo |  |

### Description

<shortdoc> The group of s-units of the prime ideals given in the sequence S or the factorization of I. </shortdoc>

### Examples

x_Max:=MaximalOrder(X^2-2); x_ideal:=3*x_Max; x_G := SUnitGroup(x_ideal);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack